
% define a shorter minus sign as \-
\def\-{\raisebox{.75pt}{-}}


%\renewcommand{\v}{\mathbf{v}}   % velocity
%\newcommand{\x}{\mathbf{x}}             % eulerian coordinates
%\newcommand{\f}{\mathbf{f}}             % body force
\newcommand{\f}{\boldsymbol{f}}
%\newcommand{\ru}{\mathbf{r}} % coordinate r
%\newcommand{\U}{extbf{U}}  % displacement U





% partial derivative
\newcommand{\pder}[2]{\frac{\partial #1}{\partial #2}}
\newcommand{\pderdos}[2]{\frac{\partial^2 #1}{\partial #2 \partial #2}}

%Total derivative
\newcommand{\der}[2]{\frac{d #1}{d #2}}

%Gateux derivative
\newcommand{\gateauxderivative}[1]{{\frac{d}{d\tau} \bigg\{#1\bigg\}}\biggr\rvert_{\tau=0}}

% gradient operator
\newcommand{\grad}[1]{\nabla #1}


% ========================================================
% brackets
\newcommand{\parent}[1]{\left( #1 \right)}
\newcommand{\sqbrac}[1]{\left[ #1 \right]}
\newcommand{\braces}[1]{\left\lbrace #1 \right\rbrace}
%%\newcommand{\angles}[1]{\left\langle #1 \right\rangle}
% evaluated at vertical bar
\newcommand{\evalat}[2]{\left. #1 \right\rvert_{#2}}
% ========================================================

% ========================================================
% integral definition
% generic domain integral
%\newcommand{\inta}[1]{\int_{\Omega_a} #1 ~dV_a}

\newcommand{\into}[1]{\int_{\Omega_0} #1 ~dV_0}

\newcommand{\integralg}[1]{\int_{\Omega} #1 ~dV}
\newcommand{\integralsg}[1]{\int_{\Gamma} #1 ~dS}
%
\newcommand{\integral}[1]{\int_{\Omega_t} #1 ~dV_t}
\newcommand{\integralo}[1]{\int_{\Omega_0} #1 ~dV_0}
\newcommand{\integrals}[1]{\int_{\Gamma_t} #1 ~dS_t}
\newcommand{\integralso}[1]{\int_{\partial\Gamma_0} #1 ~dS_0}


\newcommand{\integralmb}[1]{\int_{\Omega^B_M} #1 ~dV_0}
\newcommand{\integralmf}[1]{\int_{\Omega^f_M} #1 ~dV_0}

\newcommand{\nplustheta}[0]{\Big\rvert^{n+\theta}}
% ========================================================

% ========================================================
% aquí voy a introducir las variables tipicas más utilizadas
% para una rápida escritura
%

\newcommand{\x}{\boldsymbol{x}}
\newcommand{\X}{\boldsymbol{X}}
\newcommand{\Chi}{\boldsymbol{\chi}}





\newcommand{\I}{\mathbf{I}}

%\renewcommand{\v}{\boldsymbol{v}}
\newcommand{\V}{\mathbf{v}}
\newcommand{\vr}{\boldsymbol{v}_R}
\newcommand{\Vr}{\mathbf{v}_R}
%\renewcommand{\u}{\boldsymbol{u}}
\newcommand{\U}{\mathbf{u}}
\renewcommand{\P}{\mathrm{p}}
\newcommand{\g}{\boldsymbol{g}}
\newcommand{\n}{\boldsymbol{n}}
\newcommand{\N}{\mathbf{N}}
\newcommand{\J}{\mathrm{J}}
%\newcommand{\F}{\mathbf{F}}
\renewcommand{\d}{\boldsymbol{d}}

\newcommand{\w}{\boldsymbol{w}}

% displacement fields
\renewcommand{\u}{\ensuremath{\mathbf{u}}}
\renewcommand{\v}{\ensuremath{\mathbf{v}}}


\renewcommand{\S}{\mathbf{S}}
\newcommand{\E}{\mathbf{E}}
%\newcommand{\C}{\mathbf{C}}

%\newcommand{\Fu}{\mathbf{F_{\u}}}
%\newcommand{\Fv}{\mathbf{F_{\v}}}

\let \Lamportssigma = \sigma
\renewcommand{\sigma}{\ensuremath{\boldsymbol{\Lamportssigma}}}  % solution from https://tug.org/pipermail/texhax/2005-November/005108.html

\newcommand{\virv}{\hat{\v}}
\newcommand{\virV}{\hat{\V}}
\newcommand{\viru}{\hat{\u}}
\newcommand{\virU}{\hat{\U}}
\newcommand{\virq}{\hat{q}}
\newcommand{\virQ}{\hat{\mathrm{q}}}

\newcommand{\vird}{\hat{\d}}

\newcommand{\sigmavp}[2]{\boldsymbol{\sigma}_{\parent{#1,#2}}}
\newcommand{\Sigmavp}[2]{\boldsymbol{\Sigma}_{\parent{#1,#2}}}
\newcommand{\gradsym}[1]{\boldsymbol{\varepsilon}\parent{#1}}

\newcommand{\dt}{\Delta t}


% linear manifold definitions
\newcommand{\Kin}{\textit{Kin}}
\newcommand{\Var}{\textit{Var}}


% ========================================================

% ========================================================
% domain configurations
\newcommand{\omegao}{\ensuremath{\Omega_{0}}}     % initial mesh configuration --> stress-free for elastin constituent
\newcommand{\omegav}{\ensuremath{\Omega_{v}}}     % collagen stress-free configuration --> ideal configuration 
\newcommand{\omegaa}{\ensuremath{\Omega_{a}}}     % self-equilibrated configuration
\newcommand{\omegat}{\ensuremath{\Omega_{t}}}     % self-equilibrated configuration
\newcommand{\omegar}{\ensuremath{\Omega_{R}}}     % recruitment configuration              --> ready load bear configuration
%\newcommand{\omegas}{\ensuremath{\Omega_{s}}}
\newcommand{\omegas}{\Omega_{s}}

% time-discretized configuration
\newcommand{\omegatn}{\ensuremath{\Omega_{t_n}}}       % 
\newcommand{\omegatnn}{\ensuremath{\Omega_{t_{n+1}}}}  %
\newcommand{\omegavn}{\ensuremath{\Omega_{v_{n}}}}     % 
\newcommand{\omegavnn}{\ensuremath{\Omega_{v_{n+1}}}}  %
%\newcommand{\omegavn}{\ensuremath{\omegav(t^{n+1})}}     % 
%\newcommand{\omegavnn}{\ensuremath{\omegav(t^{n+1})}}  %




% coordinates
\renewcommand{\x}{\boldsymbol{x}} 
\newcommand{\xo}{\ensuremath{\x_{o}}}
\newcommand{\xv}{\ensuremath{\x_{v}}}
\newcommand{\xa}{\ensuremath{\x_{a}}}

% diferential coordinates
\newcommand{\dxo}{\ensuremath{d\xo}}
\newcommand{\dxv}{\ensuremath{d\xv}}
\newcommand{\dxa}{\ensuremath{d\xa}}

% displacement fields
%\renewcommand{\u}{\ensuremath{\boldsymbol{u}}}
%\renewcommand{\v}{\ensuremath{\boldsymbol{v}}}
% displacement fields
\renewcommand{\u}{\ensuremath{\mathbf{u}}}
\renewcommand{\v}{\ensuremath{\mathbf{v}}}
\renewcommand{\U}{\ensuremath{\mathbf{U}}}

% tensors
\newcommand{\F}{\ensuremath{\mathbf{F}}}         % gradient deformation
\newcommand{\C}{\ensuremath{\mathbf{C}}}         % right Cauchy-Green 
\renewcommand{\S}{\ensuremath{\mathbf{S}}}       % second Piola-Kirchhoff


\newcommand{\Fu}{\F^{\u}}                        % gradient deformation from \omegao to \omegaa
\newcommand{\Fv}{\F^{\v}}                        % gradient deformation from \omegav to \omegao // fiber prestrain
\newcommand{\Fuv}{\F^{\u\v}}                     % gradient deformation from \oemgav to \oemgaa // fiber stretch
\newcommand{\Fve}{\F^{\v e}}                     % gradient deformation from \oemgav to \oemgaa // fiber stretch


\newcommand{\Fp}{\ensuremath{\F_{p}}}            % fiber - prestrain deformation
\newcommand{\Ff}{\ensuremath{\F_{f}}}            % gradient deformation from \omegav to \omegaa // total deformation of fiber
\newcommand{\Fr}{\ensuremath{\F^{R}}}            % gradient deformation from \omegav to \omegar // no energy stored

\newcommand{\Cf}{\C_{f}}                         % right Cauchy-Green deformation // collagen fiber
\newcommand{\Cr}{\C_{R}}                                                 % right Cauchy-Green deformation // from \omegav to \omegar
\newcommand{\Cv}{\C_{\v}}                        % right Cauchy-Green deformation // from \omegav to \omegao

\newcommand{\sigmaf}{\ensuremath{\sigma_{c}}}   % Cauchy stress // collagen fiber
\newcommand{\sigmae}{\ensuremath{\sigma_{e}}}   % Cauchy stress // elastin 

% integrals
\newcommand{\inta}[1]{\int_{\omegaa} #1 ~d\omegaa}
\newcommand{\intv}[1]{\int_{\omegav} #1 ~d\omegav}


% manifolds
\newcommand{\kina}{\ensuremath{\mathcal{U}_{a}}}         % kinemmatic admissible variations
\newcommand{\vara}{\ensuremath{\mathcal{V}_{a}}}         % variational admissible

% strain energy function (sef)
\newcommand{\sef}{\ensuremath{\Psi}}

% ========================================================


% ========================================================
% fiber recruitment kinematics
\newcommand{\No}{\N_{0}}
\newcommand{\Nr}{\N_{R}}
%\newcommand{\n}{\n}

\renewcommand{\a}{\ensuremath{\mathbf{a}}}     % unit vector direction
\newcommand{\ao}{\ensuremath{\a_{0}}}                      % directional versor at unloaded configuration
\newcommand{\ar}{\ensuremath{\a_{R}}}                  % directional versor at recruitment configuration
\newcommand{\av}{\ensuremath{\a_{v}}}                      % directional versor at virtual configuration

\newcommand{\dS}{dS}        % fiber segment at an arbitrary material configuration
\newcommand{\dSo}{\dS_{0}}      % fiber segment at unloaded configuration
\newcommand{\dSr}{\dS_{R}}      % fiber segment at recruitment configuration
\newcommand{\ds}{ds}        % fiber segment at current configuration


\newcommand{\xr}{\ensuremath{\x_{R}}}    % recruitment coordinates (incompatible)
\newcommand{\dxr}{\ensuremath{d\xr}}     % recruitment differential segment or tangent vector



